package com.xdap.self_development.service;

import com.xdap.self_development.controller.request.DataEntryEngineModelPageRequest;
import com.xdap.self_development.domain.dto.DataEntryEngineModelDto;
import com.xdap.self_development.domain.dto.PageResultDTO;
import com.xdap.self_development.domain.pojo.DataEntryEngineModelPojo;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * <p>
 * 发动机型号数据表 服务类
 * </p>
 *
 * @author Lys111
 * @since 2025-11-12
 */
public interface DataEntryEngineModelService {
    /**
     * 查询全部
     */
    List<DataEntryEngineModelPojo> selectAll();
    /**
     * 分页查询
     */
    PageResultDTO<DataEntryEngineModelDto>  selectByConditionPage(DataEntryEngineModelPageRequest request);

    /**
     * excel导入
     */
    void excelImport(MultipartFile file, String userId, String ycOrOt);
    /**
     * 单条写入
     */
    int insert(DataEntryEngineModelPageRequest request, String userId);

    void excelExport(HttpServletResponse response);

    DataEntryEngineModelPojo selectBymodelId(String modelID);

    PageResultDTO<DataEntryEngineModelDto> selectVersionByConditionPage(String userId);

    void delete(String modelId);

    Integer synchronizeParams(String modelId, String userId);
}
